Um einen Bare-Metal-Server als Fabric-Knoten vorzubereiten, müssen Sie einige Drittanbieterpakete installieren.

Voraussetzungen

  • Stellen Sie sicher, dass der Benutzer, der die Installation durchführt, über Administratorberechtigungen für die folgenden Aktionen verfügt, von denen einige möglicherweise sudo-Berechtigungen erfordern:
    • Laden Sie das Paket herunter und dekomprimieren Sie es.

    • Führen Sie den Befehl dpkg oder rpm aus, um NSX-Komponenten zu installieren bzw. zu deinstallieren.

    • Führen Sie den Befehl nsxcli zum Ausführen von Befehlen für das Verbinden mit der Management Plane aus.

  • Stellen Sie sicher, dass die Virtualisierungspakete installiert sind.
    • Red Hat, CentOS oder Oracle Linux – yum install libvirt-libs
    • Ubuntu – apt-get install libvirt0
    • Oracle Linux – rpm-qa | grep xxx
    • SUSE – zypper install libvirt-libs

Prozedur

  • Führen Sie unter Ubuntu apt-get install <package_name> aus, um die Drittanbieterpakete zu installieren.
    Ubuntu 18.04.2 Ubuntu 16.04
    traceroute
    python-mako
    python-netaddr  
    python-simplejson  
    python-unittest2  
    python-yaml  
    python-openssl   
    dkms  
    libvirt0
    libelf-dev
    python-netifaces
    libunwind8
    libgflags2v5
    libgoogle-perftools4
    traceroute
    python-mako
    python-simplejson
    python-unittest2
    python-yaml
    python-netaddr
    python-openssl
    libboost-filesystem1.58.0
    libboost-chrono1.58.0
    libgoogle-glog0v5
    dkms
    libboost-date-time1.58.0
    python-protobuf
    python-gevent
    libsnappy1v5
    libleveldb1v5
    libboost-program-options1.58.0
    libboost-thread1.58.0
    libboost-iostreams1.58.0
    libvirt0
    libelf-dev
    python-netifaces
  • Führen Sie yum install unter RHEL, CentOS und Oracle Linux aus, um die Drittanbieterpakete zu installieren.
    RHEL 8.3, 8.0, 7.9, 7.8, 7.7 und 7.6 CentOS 8.3, 8.0, 7.9, 7.8, 7.7 und 7.6 Oracle Linux 7.9, 7.8, 7.7 und 7.6
    tcpdump
    boost-filesystem
    PyYAML
    boost-iostreams
    boost-chrono
    python-mako
    python-netaddr
    python-six
    gperftools-libs
    libunwind
    elfutils-libelf-devel
    snappy
    boost-date-time
    c-ares
    redhat-lsb-core
    wget
    net-tools
    yum-utils
    lsof
    python-gevent
    libev
    python-greenlet
    libvirt-libs
    python-netifaces
    python3
    tcpdump
    boost-filesystem
    PyYAML
    boost-iostreams
    boost-chrono
    python-mako
    python-netaddr
    python-six
    gperftools-libs
    libunwind
    elfutils-libelf-devel
    snappy
    boost-date-time
    c-ares
    redhat-lsb-core
    wget
    net-tools
    yum-utils
    lsof
    python-gevent
    libev
    python-greenlet
    libvirt-libs
    python-netifaces
    python3
    tcpdump
    boost-filesystem
    PyYAML
    boost-iostreams
    boost-chrono
    python-mako
    python-netaddr
    python-six
    gperftools-libs
    libunwind
    snappy
    boost-date-time
    c-ares
    redhat-lsb-core
    wget
    net-tools
    yum-utils
    lsof 
    libvirt-libs 
    python-netifaces
    python-greenlet
    libev
    python-gevent
    python3
  • Führen Sie unter SUSE zypper install <package_name> aus, um die Drittanbieterpakete manuell zu installieren.
    net-tools
    tcpdump
    python-simplejson
    python-netaddr
    python-PyYAML
    python-six
    libunwind
    wget
    lsof
    libcap-progs
    libvirt-libs
    python-netifaces